<?
if ($_SESSION['mdp2'] == 1) $_POST['mot_de_passe'] = $mdp;
if (isset($_GET["classe"])) $_POST["classe"] = $_GET["classe"];
if (isset($_GET["devoir"]) && isset($_GET["fichier2"])) echo'<br /><b>Envoyer le corrigé du <i>" '.$_GET["fichier2"].'"</i> du travail sur <i>"'.$_GET["devoir"].'"</i></b><br /><br />';


if (isset($_POST['mot_de_passe']))
{
    $mot_de_passe = $_POST['mot_de_passe'];
}else{
    $mot_de_passe = "";
}
 
if ($mot_de_passe == $mdp) // Si le mot de passe est bon
{
$_SESSION['mdp2'] = 1;

if(isset($_POST["classe"]) || isset($_POST["nom"]) || !empty($_FILES["selection"]["name"]) || isset($_POST["folder"])){
	if($_POST["classe"] != "" || isset($_POST["nom"]) || !empty($_FILES["selection"]["name"]) || isset($_POST["folder"])){
	
	
if(!empty($_FILES["selection"]["name"])){ // Si un fichier est séléctionné
function getExtension($filename){
$parts = explode('.', $filename);
$ext = $parts[(count($parts)-1)];
  if ($ext==$filename) {
    return false;
  }else {
    return strtolower($ext);
  }
}
$nomFichier = $_FILES['selection']['name'];
$nomTemporaire = $_FILES['selection']['tmp_name'];
$typeFichier = $_FILES['selection']['type'];
$poidsFichier = $_FILES['selection']['size'];
$extension = getExtension($nomFichier, ".");
$NOM = $_POST["nom"];
$classe = $_POST["classe"];
$folder = urldecode($_POST["folder"]);



if (!preg_match('#[\x00-\x1F\x7F-\x9F/\\\\]#', $nomFichier)){
	if($poidsFichier <> 0){// Si le fichier est valide
		if($NOM != '' ){// Si un nom a été séléctionné
		if($folder != ''){// Si un devoir a été séléctionné
		
			if( !move_uploaded_file($nomTemporaire, $content_dir . $classe.'/'.$folder.'/'. $devoir_corrige.'/'. $NOM .'_'. $classe .'.'. $extension) )// Si le fichier a bien été chargé sur le ftp
				{
					exit("Il est impossible de copier le fichier dans $content_dir/$folder");
				}
			echo '<br /><br /><div style="text-align : center;"><span class="important">Très bien !<br /><br />
			Votre fichier a bien été enregistré.</span><br /><br />';

		$requete=mysql_query('select email from '.$classe.' WHERE name=\''.$NOM.'\'');
		while ($requete2 = mysql_fetch_array($requete) )
		{
		$mail = $requete2['email'];
		}
		

		// Envoi du mail quand le corrigé est en ligne
		$requete=mysql_query('select * from '.$classe.' WHERE name=\''.$NOM.'\'');
		while ($requete2 = mysql_fetch_array($requete) )
		{
		$pren = $requete2['prenom'];
		$_POST["classe"] = $classe;
		$_POST["nom"] = $requete2['name'];
		$_POST["mot_de_passe"] = $requete2['mdp'];
		}
		if($mail != ''){
			$headers ='From: "'.$mail_admin.'"<'.$mail_admin.'>'."\n"; 
			$headers .='Reply-To: '.$mail_admin.''."\n"; 
			$headers .='Content-Type: text/html; charset="iso-8859-1"'."\n"; 
			$headers .='Content-Transfer-Encoding: 8bit'; 
			$objet_m = 'Corrigé disponible';
			$message = 'Bonjour '.$pren.',<br /><br />
La correction de votre devoir sur <i>"'.$folder.'"</i> est disponible sur le site. Rendez-vous sur cette page pour l\'obtenir : <a href="http://'.$adresse_site.'/'.$script.'index?page=recup&classe='.$_POST["classe"].'&nom='.$_POST["nom"].'&mot_de_passe='.$_POST["mot_de_passe"].'">Correction de <i>"'.$folder.'"</i> de '.$pren.'</a> et séléctionnez ensuite le devoir à récupérer.<br />

<br />
À bientôt,<br />
Fr. Stévenot';


			if (mail($mail, $objet_m, $message, $headers)){ 
			echo 'Un mail de confirmation a été envoyé à '.$pren;
			} else { 
			echo 'Le mail de confirmation adréssé à '.$pren.' n\'a pas pu être envoyé !';
			}
		}else{
		echo 'Aucun mail n\'a été envoyé à '.$pren.' car il/elle ne possède pas d\'adresse email !';
		}

echo '<br /><br />Vous pouvez <a href="index.php?page=corrige" title="Envoyer un nouveau corrigé">envoyer un nouveau corrigé</a> ou <a href="http://claudelhg.free.fr" title="Accueil du site">revenir à l\'accueil du site</a>.</div><br /><br />';
		
		
		}else{
		$work  = '<span class="important">Vous n\'avez pas indiqué le travail que vous souhaitez rendre...</span>';
		}
		}else{
		$name= '<span class="important">Vous n\'avez pas indiqué le nom de l\'élève...</span>';
		}
	}else{
		$fichier = '<span class="important">Format non valide...</span>';
	}
}else{
	$fichier = '<span class="important">Format non valide...</span>';
}

}


// Formulaire d'envoi
?>
<form name="devoir" enctype="multipart/form-data" method="post" action="#">
<input type="hidden" name="mot_de_passe" type="text" value="<? echo $mdp; ?>"> 
Repérez le nom de l'élève dans cette liste<br /><br />
<select name="nom">
<option value=""></option>

<?
$requete=mysql_query('select * from '.$classe.' ORDER by nom');
while ($requete2 = mysql_fetch_array($requete) )
		{
		echo '<option value="'.$requete2['name'].'">'.$requete2['nom'].' '.$requete2['prenom'].'</option>';
		}
?>

</select>
<br />
<? if (isset($name)){echo $name;} ?><br /><br />




Repérez le nom du travail corrigé<br /><br />
<select name="folder">
<option value=""></option>

<?
$d = dir($content_dir.$classe."/"); 
while($entry = $d->read()) { 
    if($entry=="." || $entry==".."){
    }else{
print "<option value=\"$entry\">$entry</option>";
    }
} 
$d->close(); 
?>
</select><br />
<? if (isset($work)){echo $work;} ?><br /><br /><br />


Allez maintenant chercher votre fichier sur votre ordinateur<br /><br />
<div style="text-align : center;">
<input type="file" name="selection" /><br />
<? if (isset($fichier)){echo $fichier;} ?>
</div><br /><br /><br />

<div style="text-align : center;">
À présent, vous pouvez valider pour achever l'enregistrement<br /><br />

<input type="hidden" name="classe" type="text" value="<? echo $classe; ?>"> 

<input type="submit" id="submit" name="Submit" value="Valider" />
</div>
</form>
<br />
<? 
	
	
	
	
	
	
	}else{
	$classe2 = '<span class="important">Indiquez votre classe !</span>';
	echo'<form name="classe" enctype="multipart/form-data" method="post" action="#">
<div style="text-align : center;">
<b>Classe de l\'élève :</b><br /><br />
<select name="classe">
<option value="">classe</option>';
for($i=0;$i<sizeof($classes);$i++)
    { 
echo '<option value="'.$classes[$i].'">'.$classes2[$classes[$i]].'</option>';
    } 
echo'</select><br>';
if (isset($classe2)){echo $classe2;}
echo'<br><br>
<input type="submit" id="submit" name="Submit" value="Valider" />
</div>
</form>';
	}
}else{
	echo'<form name="classe" enctype="multipart/form-data" method="post" action="#">
<div style="text-align : center;">
<b>Classe de l\'élève :</b><br /><br />
<select name="classe">
<option value="">classe</option>';
for($i=0;$i<sizeof($classes);$i++)
    { 
echo '<option value="'.$classes[$i].'">'.$classes2[$classes[$i]].'</option>';
    } 
echo'</select><br><br><br>
<input type="submit" id="submit" name="Submit" value="Valider" />
</div>
</form>';
}


}
else {// le mot de passe n'est pas bon

if($mot_de_passe == "motdepasse"){
$mdpf= '<span class="important">Vous n\'avez pas indiqué de mot de passe !</span>';
}elseif($mot_de_passe != "" && $mot_de_passe != $mpd){
$mdpf= '<span class="important">Mauvais mot de passe !</span>';
}

?>
<form name="auth" enctype="multipart/form-data" method="post" action="#">
Damned ! L'accès aux données de cette page est protégé par un mot de passe !
<br /><br /><br /><div style="text-align : center;">
<b>Mot de passe :</b><br /><br />
<input type="password" value="motdepasse" name="mot_de_passe" class="form" onfocus="if (this.value=='motdepasse') this.value=''" onblur="if (this.value=='') this.value='motdepasse'" /><br />
<? if (isset($mdpf)){echo $mdpf;} ?>

<br /><br />
<input type="submit" id="submit" name="Submit" value="Valider" />
</form>
</div>
<?
}
?>